I assume that you have successfully applied xyz values to these points needed to make these lines; and put then into an array called 'pts'. You could use...
lines=entities.add_edges(pts)
where 'lines' is an array of the lines made.
now to make the wall - I think the easiest in this case is to make a rectangular vertical face, the width [8"/20cm] and height [12'/3.6m] and then use 'followme' on that face with the lines as the path.
So make the face at the origin....
face_pts=[[0,0,0],[8,0,0],[8,0,144],[0,0,144]] face=entities.add_face(face_pts)
Transform the face's vertices so it is perpendicular to the vector of the first line in 'lines'
vector=pts[0].vector_to(pts[1]) angle=face.normal.angle_between(vector) transformation=Geom::Transformation.rotation(ORIGIN, Z_AXIS, angle) entities.transform_entities(transformation, face.vertices) face.reverse!
Move the face to the start of the first line in 'lines'
transformation=Geom::Transformation.translation(ORIGIN.vector_to(pts[0])) entities.transform_entities(transformation, face.vertices)
Now do the followme
face.followme(lines)
Done...